<?php

namespace App\Http\Controllers\Adminpanel;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\MetaTag;
use DataTables;
use Illuminate\Support\Facades\Storage;

class MetaTagController extends Controller
{
    function __construct()
    {

        $this->middleware('permission:meta-tag-list|meta-tag-edit', ['only' => ['index','list']]);
        // $this->middleware('permission:province-create', ['only' => ['index', 'store']]);
        $this->middleware('permission:meta-tag-edit', ['only' => ['edit', 'update']]);
        // $this->middleware('permission:province-delete', ['only' => ['destroy']]);
    }

    public function index()
    {
        return view('adminpanel.meta_tag.list');
    }

    // public function store(Request $request)
    // {
    //     $request->validate([
    //         'title_description' => 'required'
    //     ]);

    //     $id = MetaTag::create($request->all())->id;

    //     \LogActivity::addToLog('New page record inserted. ID '.$id);

    //     return redirect()->route('province')
    //         ->with('success', 'Record created successfully.');
    // }

    public function list(Request $request)
    {
        if ($request->ajax()) {
            $data = MetaTag::select('*')->where('is_delete',0);
            return Datatables::of($data)
                ->addIndexColumn()
                ->addColumn('edit', function ($row) {
                    $edit_url = url('adminpanel/edit-meta-tag/' . encrypt($row->id) . '');
                    $btn = '<a href="' . $edit_url . '"><i class="fa fa-edit"></i></a>';
                    return $btn;
                })
                // ->addColumn('activation', function($row){
                //     if ( $row->status == "Y" )
                //         $status ='fa fa-check';
                //     else
                //         $status ='fa fa-remove';

                //     $btn = '<a href="changestatus-province/'.$row->id.'/'.$row->cEnable.'"><i class="'.$status.'"></i></a>';

                //     return $btn;
                // })
                // ->addColumn('blockprovince', function($row){
                //     if ( $row->status == "1" )
                //         $dltstatus ='fa fa-ban';
                //     else
                //         $dltstatus ='fa fa-trash';

                //     $btn = '<button class="btn-delete" value="'.$row->id.'"><i class="'.$dltstatus.'"></i></button>';


                //     return $btn;
                // })
                ->rawColumns(['edit'])
                ->make(true);
        }

        return view('adminpanel.meta_tag.list');
    }

    public function edit($id)
    {
        $pageID = decrypt($id);
        $data = MetaTag::find($pageID);
        return view('adminpanel.meta_tag.edit', ['data' => $data]);
    }


    public function update(Request $request)
    {
        $request->validate([
            'page_title' => 'required'
        ]);

        if (!$request->hasFile('og_image') == "") {

            $meta = $request->file('og_image')->getClientOriginalName();

            $path = $request->file('og_image')->store('public/og_file');

            $data =  MetaTag::find($request->id);

            Storage::delete($data->og_image);

            $data->page_title = $request->page_title;
            $data->description = $request->description;
            $data->keywords = $request->keywords;
            $data->og_title = $request->og_title;
            $data->og_type = $request->og_type;
            $data->og_url = $request->og_url;
            $data->og_image = $path;
            $data->og_sitename = $request->og_sitename;
            $data->og_description = $request->og_description;
            $data->og_email = $request->og_email;
            $data->save();
            $id = $data->id;
        } else {
            $data =  MetaTag::find($request->id);

            $data->page_title = $request->page_title;
            $data->description = $request->description;
            $data->keywords = $request->keywords;
            $data->og_title = $request->og_title;
            $data->og_type = $request->og_type;
            $data->og_url = $request->og_url;
            //$data->og_image = $path;
            $data->og_sitename = $request->og_sitename;
            $data->og_description = $request->og_description;
            $data->og_email = $request->og_email;
            $data->save();
            $id = $data->id;
        }

        \LogActivity::addToLog('Meta tag record ID '.$id.' updated.');

        return redirect()->route('meta-tag-list')
            ->with('success', 'Meta tag updated successfully.');
    }

    // public function activation(Request $request)
    // {
    //     $request->validate([
    //         // 'status' => 'required'
    //     ]);

    //     $data =  Province::find($request->id);

    //     if ( $data->status == "Y" ) {

    //         $data->status = 'N';
    //         $data->save();
    //         $id = $data->id;

    //         \LogActivity::addToLog('Province record ID '.$id.' deactivated.');

    //         return redirect()->route('province-list')
    //         ->with('success', 'Record deactivate successfully.');

    //     } else {

    //         $data->status = "Y";
    //         $data->save();
    //         $id = $data->id;

    //         \LogActivity::addToLog('Province record ID '.$id.' activated.');

    //         return redirect()->route('province-list')
    //         ->with('success', 'Record activate successfully.');
    //     }

    // }

    // public function block(Request $request)
    // {
    //     $request->validate([
    //         // 'status' => 'required'
    //     ]);

    //     $data =  Province::find($request->id);
    //     $data->is_delete = 1;
    //     $data->save();
    //     $id = $data->id;

    //     \LogActivity::addToLog('Province record ID '.$id.' deleted.');

    //     return redirect()->route('province-list')
    //         ->with('success', 'Record deleted successfully.');
    // }
}
