<?php

namespace App\Http\Controllers\Adminpanel;

use App\Http\Controllers\Controller;
use App\Models\EmailsSendingContact;
use App\Models\NewMaintenance;
use Carbon\Carbon;

class SendEmailsController extends Controller
{
    function __construct()
    {

    }

    public function invoice_reminder_email()
    {
        $targetDate = Carbon::now()->addDays(2)->toDateString();
        // dd($targetDate);
        // \DB::enableQueryLog();
        $maintenanceDues = NewMaintenance::with('customers','projects','maintenanceTypes')
                                        ->whereDate('end_date','=', $targetDate)
                                        ->where('renewal_status','O')
                                        ->where('status','Y')
                                        ->where('is_delete',0)
                                        ->get();
                                        // dd(\DB::getQueryLog());

        $emailstoSendinvoiceReminders = EmailsSendingContact::with('contactPersonsEmails')
                                                            ->where('setting_type',1)
                                                            ->get()
                                                            ->pluck('contactPersonsEmails.*.contact_person_email')
                                                            ->flatten()
                                                            ->unique()
                                                            ->toArray();
        foreach($maintenanceDues as $maintenance)
        {
            // dd($maintenance->customers->customer_name);
            \Mail::send('adminpanel.mails.maintenance_reminder_emails',
            ['customer' => $maintenance->customers->customer_name, 'company_name' => $maintenance->customers->company_name,
             'project' => $maintenance->projects->project_name, 'maintenance_type' => $maintenance->maintenanceTypes->type,
             'end_date' => $maintenance->end_date], function($message) use($emailstoSendinvoiceReminders)
            {
                $message->from('devtekgeeks@gmail.com', 'Tekgeeks - Quotation Management System');
                $message->to($emailstoSendinvoiceReminders)->subject('New Maintenance Reminder');
            });
        }
    }

}
