<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EmailsSendingContact extends Model
{
    use HasFactory;

    protected $table = 'emails_sending_contacts';
    public $timestamps = true;

    protected $fillable = [
        'setting_type',
        'contact_person_id',
    ];

    public function moduleTypes()
    {
        return $this->belongsTo(EmailSettingType::class, 'setting_type', 'id');
    }

    public function contactPersonsEmails()
    {
        return $this->hasMany(CompanyContactPersonDetail::class, 'id','contact_person_id');
    }
}
