<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Invoice extends Model
{
    use HasFactory;

    protected $table = 'invoices';
    public $timestamps = true;

    protected $fillable = [
        'invoice_id',
        'invoice_date',
        'quotation_id',
        'payment_term_id',
        'cust_contact_person_id',
        'sales_person_id',
        'po_number',
        'fob_point',
        'remarks',
        'terms',
        'project_id',
        'total_invoice_value'
    ];

    public function paymentterms()
    {
        return $this->belongsTo(PaymentTerm::class, 'payment_term_id', 'id');
    }

    public function quotations()
    {
        return $this->belongsTo(Quotation::class, 'quotation_id', 'id');
    }

    public function customercontactpersons()
    {
        return $this->belongsTo(CustomerContactPersonDetail::class, 'cust_contact_person_id', 'id');
    }

    public function salespersons()
    {
        return $this->belongsTo(CompanyContactPersonDetail::class, 'sales_person_id', 'id');
    }

    public function projects()
    {
        return $this->belongsTo(Project::class, 'project_id', 'id');
    }

}
