<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NewMaintenance extends Model
{
    use HasFactory;

    protected $table = 'new_maintenances';
    public $timestamps = true;

    protected $fillable = [
        'customer_id',
        'project_id',
        'maintenance_type_id',
        'start_date',
        'end_date',
        'status',
        'is_delete',
    ];

    public function customers()
    {
        return $this->belongsTo(Customer::class, 'customer_id', 'id');
    }

    public function projects()
    {
        return $this->belongsTo(Project::class, 'project_id', 'id');
    }

    public function maintenanceTypes()
    {
        return $this->belongsTo(MaintenanceType::class, 'maintenance_type_id', 'id');
    }
}
