<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Quotation extends Model
{
    use HasFactory;

    protected $table = 'quotations';
    public $timestamps = true;

    protected $fillable = [
        'quotation_id',
        'quotation_date',
        'quotation_type',
        'customer_id',
        'project_status',
        'project_id',
        'quotation_description',
        'time_est_category',
        'est_time_period',
        'scope_description',
        'project_cost',
        'discount',
        'total_cost',
        'payment_terms',
        'validity_period_id',
        'contact_person_id',
        'status',
        'is_delete',
    ];

    public function customers()
    {
        return $this->belongsTo(Customer::class, 'customer_id', 'id');
    }

    public function projects()
    {
        return $this->belongsTo(Project::class, 'project_id', 'id');
    }

    public function customercontactpersons()
    {
        return $this->belongsTo(CustomerContactPersonDetail::class, 'customer_contact_person_id', 'id');
    }

    public function validityperiods()
    {
        return $this->belongsTo(ValidityPeriod::class, 'validity_period_id', 'id');
    }

    public function contactpersondetails()
    {
        return $this->belongsTo(CompanyContactPersonDetail::class, 'contact_person_id', 'id');
    }
}
