<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('quotation_payment_terms', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('quotation_id');
            $table->foreign('quotation_id')->references('id')->on('quotations')->onDelete('cascade');
            $table->unsignedBigInteger('payment_term_id');
            $table->foreign('payment_term_id')->references('id')->on('payment_terms')->onDelete('cascade');
            $table->char('payment_status',1)->default('P')->comment('P - Pending, C - Complete');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('quotation_payment_terms', function (Blueprint $table) {
            //
            $table->dropForeign(['quotation_id']);
            $table->dropColumn(['quotation_id']);
            $table->dropForeign(['payment_term_id']);
            $table->dropColumn(['payment_term_id']);
        });
        Schema::dropIfExists('quotation_payment_terms');
    }
};
