<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('emails_sending_contacts', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('setting_type');
            $table->foreign('setting_type')->references('id')->on('email_setting_types')->onDelete('cascade');
            $table->unsignedBigInteger('contact_person_id');
            $table->foreign('contact_person_id')->references('id')->on('company_contact_person_details')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('emails_sending_contacts');
    }
};
