@section('title', 'Customers')
<x-app-layout>
    <x-slot name="header">

    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon">
        </div>
        <!-- END RIBBON -->
        <div id="content">
            <div class="row">
            <div class="col-lg-12">
                    <div class="row cms_top_btn_row" style="margin-left:auto;margin-right:auto;">
                        <a href="{{ route('create-customers') }}">
                            <button class="btn cms_top_btn top_btn_height ">Add New</button>
                        </a>

                        <a href="{{ route('customers-list') }}">
                            <button class="btn cms_top_btn top_btn_height">View All</button>
                        </a>
                    </div>
                </div>
            </div>
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget" id="wid-id-1" data-widget-colorbutton="false" data-widget-editbutton="false" data-widget-custombutton="false" role="widget">
                <header>
                    <h2>Customers</h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <form action="{{ route('update-customers') }}" enctype="multipart/form-data" method="post" id="customers-form" class="smart-form">
                        @csrf
                        @method('PUT')
                            <fieldset>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Title<span style=" color: red;">*</span></label>
                                        <label class="select">
                                            <select name="title" id="title" required>
                                                <option value="0" {{ $data->title == '0' ? "selected" : "" }}>Mr.</option>
                                                <option value="1" {{ $data->title == '1' ? "selected" : "" }}>Mrs.</option>
                                                <option value="2" {{ $data->title == '2' ? "selected" : "" }}>Miss</option>
                                                <option value="3" {{ $data->title == '3' ? "selected" : "" }}>Ms.</option>
                                                <option value="4" {{ $data->title == '4' ? "selected" : "" }}>Dr.</option>
                                                <option value="5" {{ $data->title == '5' ? "selected" : "" }}>Rev.</option>
                                            </select>
                                            <i></i>
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Customer Name<span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="customer_name" name="customer_name" required value="{{ $data->customer_name }}">
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Company Name<span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="company_name" name="company_name" required value="{{ $data->company_name }}">
                                        </label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Email<span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="email" name="email" required value="{{ $data->email }}">
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Contact Number 1<span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="contact_number_1" name="contact_number_1" required value="{{ $data->contact_number_1 }}">
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Contact Number 2 </label>
                                        <label class="input">
                                            <input type="text" id="contact_number_2" name="contact_number_2" value="{{ $data->contact_number_2 }}">
                                        </label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Address Line 1<span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="address_line_1" name="address_line_1" required value="{{ $data->address_line_1 }}">
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Address Line 2</label>
                                        <label class="input">
                                            <input type="text" id="address_line_2" name="address_line_2" value="{{ $data->address_line_2 }}">
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Address Line 3</label>
                                        <label class="input">
                                            <input type="text" id="address_line_3" name="address_line_3" value="{{ $data->address_line_3 }}">
                                        </label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Status</label>
                                        <label class="select">
                                            <select name="status" id="status">
                                                <option value="Y" {{ $data->status == 'Y' ? "selected" : "" }}>Active</option>
                                                <option value="N" {{ $data->status == 'N' ? "selected" : "" }}>Innactive</option>
                                            </select>
                                            <i></i>
                                        </label>
                                    </section>
                                </div>

                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Contact Person Details</b></label>
                                    </section>
                                </div>
                                <div class="requesForm hdtuto2 control-group-requesFormDiv">
                                    <div class="row">
                                        <section class="col col-2">
                                            <label class="label">Title</label>
                                            <label class="select">
                                                <select name="contact_person_title[]" id="contact_person_title">
                                                    <option value="0">Mr.</option>
                                                    <option value="1">Mrs.</option>
                                                    <option value="2">Miss</option>
                                                    <option value="3">Ms.</option>
                                                    <option value="4">Dr.</option>
                                                    <option value="5">Rev.</option>
                                                </select>
                                                <i></i>
                                            </label>
                                        </section>
                                        <section class="col col-3">
                                            <label class="label">Name</label>
                                            <label class="input">
                                                <input type="text" id="contact_person_name" name="contact_person_name[]" value="">
                                            </label>
                                        </section>
                                        <section class="col col-2">
                                            <label class="label">Designation</label>
                                            <label class="input">
                                                <input type="text" id="contact_person_designation" name="contact_person_designation[]" value="">
                                            </label>
                                        </section>
                                        <section class="col col-2">
                                            <label class="label">Contact Number</label>
                                            <label class="input">
                                                <input type="text" id="contact_person_contact_number" name="contact_person_contact_number[]" value="">
                                            </label>
                                        </section>
                                        <section class="col col-2">
                                            <label class="label">Email</label>
                                            <label class="input">
                                                <input type="text" id="contact_person_email" name="contact_person_email[]" value="">
                                            </label>
                                        </section>
                                        <section class="input-group-btn col col-1">
                                            <button id="btn-add-more-children" class="btn-sm btn-success btn-add-more-children px-8" type="button" style=" margin-top: 25px;">Add</button>
                                        </section>
                                    </div>
                                </div>
                                <div class="divClone hide">
                                    <div class="hdtuto2 control-group lst input-group" style="margin-top:10px; width: 100%;">
                                        <div class="row">
                                            <section class="col col-2">
                                                <label class="label">Title</label>
                                                <label class="select">
                                                    <select name="contact_person_title[]" id="contact_person_title">
                                                        <option value="0">Mr.</option>
                                                        <option value="1">Mrs.</option>
                                                        <option value="2">Miss</option>
                                                        <option value="3">Ms.</option>
                                                        <option value="4">Dr.</option>
                                                        <option value="5">Rev.</option>
                                                    </select>
                                                    <i></i>
                                                </label>
                                            </section>
                                            <section class="col col-3">
                                                <label class="label">Name</label>
                                                <label class="input">
                                                    <input type="text" id="contact_person_name" name="contact_person_name[]" value="">
                                                </label>
                                            </section>
                                            <section class="col col-2">
                                                <label class="label">Designation</label>
                                                <label class="input">
                                                    <input type="text" id="contact_person_designation" name="contact_person_designation[]" value="">
                                                </label>
                                            </section>
                                            <section class="col col-2">
                                                <label class="label">Contact Number</label>
                                                <label class="input">
                                                    <input type="text" id="contact_person_contact_number" name="contact_person_contact_number[]" value="">
                                                </label>
                                            </section>
                                            <section class="col col-2">
                                                <label class="label">Email</label>
                                                <label class="input">
                                                    <input type="text" id="contact_person_email" name="contact_person_email[]" value="">
                                                </label>
                                            </section>
                                            <section class="input-group-btn col col-1">
                                                <button id="btn-remove-children" class="btn-sm btn-danger btn-remove-children px-4 ml-1" type="button" style=" margin-top: 25px;">Remove</button>
                                            </section>
                                        </div>
                                    </div>
                                </div>
                                <br>
                                @if($contactPersonDetails->count() > 0)
                                <br>
                                <div class="row">
                                    <section class="col col-12" style="width: 100%">
                                        <label class="label"></label>
                                        <div class="table-bordered table-responsive">
                                            <table class="table table-bordered">
                                                <thead>
                                                    <tr>
                                                        <th width="10%">No</th>
                                                        <th width="20%">Name</th>
                                                        <th width="20%">Designation</th>
                                                        <th width="20%">Contact Number</th>
                                                        <th width="20%">Email</th>
                                                        <th width="10%" style="text-align:center">Delete</th>
                                                    </tr>
                                                </thead>
                                                @php
                                                    $count = 0;
                                                @endphp
                                                @foreach ($contactPersonDetails as $person)
                                                @php
                                                    $count ++;
                                                @endphp
                                                <tbody>
                                                    <tr>
                                                        <td>{{ $count }}</td>
                                                        <td>{{ $person->contact_person_name }}</td>
                                                        <td>{{ $person->contact_person_designation }}</td>
                                                        <td>{{ $person->contact_person_contact_number }}</td>
                                                        <td>{{ $person->contact_person_email }}</td>
                                                        <td style="text-align:center"><button class="delete-confirm" value="{{ $person->id }}"><i id="545" class="fa fa-trash-o trash"></i></button></td>
                                                    </tr>
                                                </tbody>
                                                @endforeach
                                            </table>
                                        </div>
                                    </section>
                                </div>
                                @endif
                            </fieldset>
                            <footer>
                                <input type="hidden" name="id" value="{{ $data->id }}>">
                                <button id="button1id" name="button1id" type="submit" class="btn btn-primary">
                                    Submit
                                </button>
                                <button type="button" class="btn btn-default" onclick="window.history.back();">
                                    Back
                                </button>
                            </footer>
                        </form>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
        </div>
    </div>
    <x-slot name="script">
        <script>
            $(function(){
                $('#payment-terms-form').parsley();
            });

            $("#btn-add-more-children").click(function() {
                var html = $(".divClone").html();
                $(".control-group-requesFormDiv").after(html);
            });

            $("body").on("click", "#btn-remove-children", function() {
                $(this).parents(".hdtuto2").remove();
            });

            $('.delete-confirm').on('click', function(event) {
                event.preventDefault();
                const url = $(this).attr('href');
                var id = $(this).val();
                swal({
                    title: 'Are you sure?',
                    text: 'This record and it`s details will be permanantly deleted!',
                    icon: 'warning',
                    buttons: ["Cancel", "Yes!"],
                }).then(function(value) {
                    if (value == true) {
                        window.location.replace("customer-contact-person-record-delete/" + id);
                    }
                });
            });
        </script>
    </x-slot>
</x-app-layout>
