@section('title', 'Invoice Edit')
<x-app-layout>
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
    <x-slot name="header">
        <style>
            .select2-selection__rendered {
                padding-left: 5px !important;
            }
            .note-editable {
                min-height: 200px !important;
            }
        </style>
    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon">
        </div>
        <!-- END RIBBON -->
        <div id="content">
            <div class="row">
                <div class="col-lg-12">
                    {{-- <div class="row cms_top_btn_row" style="margin-left:auto;margin-right:auto;">
                        <a href="{{ route('create-quotation') }}">
                            <button class="btn cms_top_btn top_btn_height ">Add New</button>
                        </a>

                        <a href="{{ route('quotation-list') }}">
                            <button class="btn cms_top_btn top_btn_height">View All</button>
                        </a>
                    </div> --}}
                    <br>
                </div>
            </div>
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget" id="wid-id-1" data-widget-colorbutton="false" data-widget-editbutton="false" data-widget-custombutton="false" role="widget">
                <header>
                    <h2>Invoice - {{ $data->invoice_id }}</h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <form action="{{ route('update-invoice') }}" enctype="multipart/form-data" method="post" id="quotation-form" class="smart-form">
                        @csrf
                        @method('PUT')
                        <fieldset>
                            <div class="row">
                                <section class="col col-6">
                                    <label class="label">Invoice Id <span style=" color: red;">*</span> </label>
                                    <label class="input">
                                        <input type="text" id="invoice_id" name="invoice_id" value="{{ $data->invoice_id }}" readonly required>
                                    </label>
                                </section>
                                <input type="hidden" id="invoice_id" name="invoice_id" value="{{ $data->id }}">
                                <section class="col col-6">
                                    <label class="label">Payment Terms <span style=" color: red;">*</span></label>
                                    <label class="select">
                                        <select name="payment_term_id" id="payment_term_id" required>
                                            <option value="">Select the payment term</option>
                                            @foreach ($paymentTerms as $paymentterm)
                                            <option value="{{ $paymentterm->id }}" {{ $data->payment_term_id == $paymentterm->id ? "selected" : "" }}>{{ $paymentterm->payment_term }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </label>
                                </section>
                            </div>
                            <br>
                            <hr>
                            <br>
                            <div class="row">
                                <section class="col col-4">
                                    <label class="label"><b>Customer Details (Address To)</b></label>
                                </section>
                            </div>
                            <div class="row">
                                <section class="col col-6">
                                    <label class="label">Company Name <span style=" color: red;">*</span> </label>
                                    <label class="input">
                                        <input type="text" id="company_name" name="company_name" value="{{ $data->quotations->customers->company_name }}" readonly required>
                                    </label>
                                </section>
                                <section class="col col-6">
                                    <label class="label">Contact Person Name <span style=" color: red;">*</span></label>
                                    <label class="select">
                                        <select name="cust_contact_person" id="cust_contact_person" required>
                                            <option value="">Select the contact person</option>
                                            @foreach($customerContactPersons as $contactperson)
                                            <option value="{{ $contactperson->id }}" {{ $data->cust_contact_person_id == $contactperson->id ? "selected" : "" }}>{{ $contactperson->contact_person_name }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </label>
                                </section>
                            </div>
                            <br>
                            <hr>
                            <br>
                            <div class="row">
                                <section class="col col-4">
                                    <label class="label"><b>Company Sales Person Details </b></label>
                                </section>
                            </div>
                            <div class="row">
                                <section class="col col-6">
                                    <label class="label">Sales Person Name <span style=" color: red;">*</span></label>
                                    <label class="select">
                                        <select name="sales_person" id="sales_person" required>
                                            <option value="">Select the sales person</option>
                                            @foreach($companyContactPersons as $person)
                                            <option value="{{ $person->id }}" {{ $data->sales_person_id == $person->id ? "selected" : "" }}>{{ $person->contact_person_name }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </label>
                                </section>
                                <section class="col col-6">
                                    <label class="label">PO Number </label>
                                    <label class="input">
                                        <input type="text" id="po_number" name="po_number" value="{{ $data->po_number }}">
                                    </label>
                                </section>
                            </div>
                            <div class="row">
                                <section class="col col-6">
                                    <label class="label">FOB Point </label>
                                    <label class="input">
                                        <input type="text" id="fob_point" name="fob_point" value="{{ $data->fob_point }}">
                                    </label>
                                </section>
                            </div>
                            <div class="row">
                                <section class="col col-6">
                                    <label class="label">Remarks </label>
                                    <label class="input">
                                        <textarea class="form-control" id="remarks" name="remarks" rows="3">{{ $data->remarks }}</textarea>
                                    </label>
                                </section>

                                <section class="col col-6">
                                    <label class="label">Terms </label>
                                    <label class="input">
                                        <textarea class="form-control" id="terms" name="terms" rows="3">{{ $data->terms }}</textarea>
                                    </label>
                                </section>
                            </div>
                            <br>
                            <hr>
                            <br>
                            <div class="row">
                                <section class="col col-4">
                                    <label class="label"><b>Invoice Details</b></label>
                                </section>
                            </div>
                            <div class="row">
                                <section class="col col-6">
                                    <label class="label">Project Name </label>
                                    <label class="input">
                                        <input type="text" id="project_name" name="project_name" value="{{ $data->projects->project_name }}">
                                    </label>
                                </section>
                            </div>
                            <input type="hidden" id="project_id" name="project_id" value="{{ $data->project_id }}">
                            <div class="row">
                                <section class="col col-6">
                                    <label class="label">Unit Price <span style=" color: red;">*</span> </label>
                                    <label class="input">
                                        <input type="text" id="unit_price" name="unit_price" value="{{ $data->quotations->total_cost }}" readonly required>
                                    </label>
                                </section>
                                <section class="col col-6">
                                    <label class="label">Invoice Date <span style=" color: red;">*</span> </label>
                                    <label class="input"><i class="icon-append fa fa-calendar"></i>
                                        <input type="text" id="invoice_date" name="invoice_date" value="{{ $data->invoice_date }}" class="datepicker" data-date-format='yyyy-mm-dd' placeholder="YYYY-MM-DD" data-parsley-type="date" autocomplete="off" required>
                                    </label>
                                </section>
                                <section class="col col-4">
                                    <label class="label">Total Invoice Value <span style=" color: red;">*</span></label>
                                    <label class="input">
                                        <input type="text" id="invoice_total_value" name="invoice_total_value" value="{{ number_format($data->total_invoice_value, 2) }}" required>
                                    </label>
                                </section>
                            </div>
                        </fieldset>
                            <footer>
                                <input type="hidden" name="id" value="{{ $data->id }}">
                                <button id="button1id" name="button1id" type="submit" class="btn btn-primary">
                                    Submit
                                </button>
                                <button type="button" class="btn btn-default" onclick="window.history.back();">
                                    Back
                                </button>
                            </footer>
                        </form>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
        </div>
    </div>
    <x-slot name="script">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/js/bootstrap-datepicker.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>
        <script>
            $(function(){
                $('#quotation-form').parsley();
            });

            $(document).ready(function () {
                var currentDate = new Date();
                $('#quotation_date').datepicker({
                    format: 'yyyy-mm-dd',
                    prevText : '<i class="fa fa-chevron-left"></i>',
                    nextText : '<i class="fa fa-chevron-right"></i>',
                    autoclose:true,
                    endDate: "currentDate",
                    maxDate: currentDate
                }).on('changeDate', function (ev) {
                    $(this).datepicker('hide');
                });
                $('#quotation_date').keyup(function () {
                    if (this.value.match(/[^0-9]/g)) {
                        this.value = this.value.replace(/[^0-9^-]/g, '');
                    }
                });
            });

            $('#payment_term_id').on('change', function() {

                var paymentTermId = $('#payment_term_id').val();

                if(paymentTermId) {
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: "{{ route('get-payment-term-percentage') }}",
                        data: { payment_term_id:paymentTermId },
                        success: function(res) {

                            if (res) {
                                percentageVal = res.percentage;
                                unitPrice = $('#unit_price').val();

                                console.log(unitPrice);

                                invoiceVal = (unitPrice * percentageVal) / 100;
                                formattedInvoiceVal = invoiceVal.toLocaleString();

                                $('#invoice_total_value').val(formattedInvoiceVal);

                            }
                        }
                    });

                }
            });

        </script>
    </x-slot>
</x-app-layout>
