<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Invoice</title>
<style>
    body {
        font-family: Arial, sans-serif;
        margin: 0;
        padding: 20px;
        color: #333;
    }
    .invoice-container {
        max-width: 800px;
        margin: auto;
        border: 1px solid #ddd;
        padding: 20px;
    }
    .header, .footer {
        text-align: center;
    }
    .header img {
        max-width: 150px;
    }
    .header h2 {
        font-size: 24px;
        color: #666;
    }
    .details, .items, .footer {
        width: 100%;
        margin-top: 20px;
    }
    .details td, .items td, .items th {
        padding: 8px;
        border: 1px solid #ddd;
        text-align: left;
    }
    .items {
        border-collapse: collapse;
    }
    .items th {
        background-color: #000;
        color: #fff;
    }
    .items td {
        text-align: right;
    }
    .items td:first-child {
        text-align: left;
    }
    .total td {
        font-weight: bold;
    }
    .note {
        font-size: 12px;
        color: #555;
        margin-top: 10px;
    }
</style>
</head>
<body>

<div class="invoice-container">
    <!-- Header -->
    <div class="header">
        <img src="tekgeeks_logo.png" alt="tekGeeks Logo">
        <h2>tekGeeks (Pvt) Ltd</h2>
        <p>No 02, De Mel Watta Road, Koswatta, Nawala,<br>
        Sri Lanka.<br>
        Phone: +94 11 7213133</p>
    </div>

    <!-- Invoice Details -->
    <table class="details">
        <tr>
            <td><strong>TO:</strong><br>Ms. P D N C Wijewarnasuriya.<br>Sri Buddy Pvt Ltd<br>431 Nungamugoda Rd, Peliyagoda,<br>Sri Lanka.</td>
            <td><strong>INVOICE #:</strong> 2425-TG-Q10<br><strong>DATE:</strong> OCT 16th, 2024</td>
        </tr>
    </table>

    <!-- Sales Details -->
    <table class="details">
        <tr>
            <th>SALESPERSON</th>
            <th>P.O. NUMBER</th>
            <th>Remarks</th>
            <th>Quotation #</th>
            <th>F.O.B. POINT</th>
            <th>TERMS</th>
        </tr>
        <tr>
            <td>Kasun</td>
            <td></td>
            <td>Advance Payment</td>
            <td></td>
            <td></td>
            <td>Due on receipt</td>
        </tr>
    </table>

    <!-- Item Table -->
    <table class="items">
        <tr>
            <th>#</th>
            <th>Description</th>
            <th>Unit Price</th>
            <th>Value (LKR)</th>
        </tr>
        <tr>
            <td>1</td>
            <td>
                Development of Sri Buddy Android & iOS Application<br>
                <small>20% Advance payment - When awarding the project</small>
            </td>
            <td>2,900,000.00</td>
            <td>580,000.00</td>
        </tr>
        <tr class="total">
            <td colspan="3" style="text-align: right;">Sub Total</td>
            <td>580,000.00</td>
        </tr>
        <tr class="total">
            <td colspan="3" style="text-align: right;">Total</td>
            <td>580,000.00</td>
        </tr>
    </table>

    <!-- Footer Note -->
    <p>If you have any questions concerning this invoice, contact +94117213133</p>

    <!-- Payment Details -->
    <div class="footer">
        <p><strong>Payment Details:</strong><br>
        Account Name: Tekgeeks (Pvt) Ltd.<br>
        Bank Name: HNB, Rajagiriya, Sri Lanka.<br>
        Account Number: 036010313283<br>
        Bank Code: 7083<br>
        Branch Code: 036<br>
        SWIFT Code: HBLILKLX<br><br>
        Cheque should be drawn in favor of "TekGeeks (Pvt) Ltd"<br>
        Thank you for your business!</p>
    </div>

    <!-- Note -->
    <p class="note">Please note: This is a computer generated invoice & does not require manual signature.</p>
</div>

</body>
</html>
