@section('title', 'Email Log Activity')

<x-app-layout>
    <x-slot name="header">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <style>
            #sparks li {
                display: inline-block;
                max-height: 47px;
                overflow: hidden;
                text-align: left;
                box-sizing: content-box;
                -moz-box-sizing: content-box;
                -webkit-box-sizing: content-box;
                width: 95px;
            }

            #sparks li h5 {
                color: #555;
                float: none;
                font-size: 11px;
                font-weight: 400;
                margin: -3px 0 0 0;
                padding: 0;
                border: none;
                font-weight: 900;
                text-transform: uppercase;
                webkit-transition: all 500ms ease;
                -moz-transition: all 500ms ease;
                -ms-transition: all 500ms ease;
                -o-transition: all 500ms ease;
                transition: all 500ms ease;
                text-align: center;
            }

            #sparks li span {
                color: #324b7d;
                display: block;
                font-weight: 900;
                margin-top: 5px;
                webkit-transition: all 500ms ease;
                -moz-transition: all 500ms ease;
                -ms-transition: all 500ms ease;
                -o-transition: all 500ms ease;
                transition: all 500ms ease;
            }

            #sparks li h5:hover {
                color: #999999;
            }

            #sparks li span:hover {
                color: #ffffff;
            }
            .data-table th:nth-child(4),
            .data-table th:nth-child(5) {
                width: 200px;
                max-width: 200px;
                word-break: break-all;
                white-space: pre-line;
            }
            .data-table td:nth-child(4),
            .data-table td:nth-child(5) {
                width: 200px;
                max-width: 200px;
                word-break: break-all;
                white-space: pre-line;
            }
    </style>
    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon"></div>
        <!-- END RIBBON -->
        <div id="content">
            <!-- <div class="row">
                <div class="col-lg-4">

                </div>
                <div class="col-lg-8">
                    <ul id="sparks" class="">

                    </ul>
                </div>
            </div> -->
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <section id="widget-grid" class="">

                <!-- row -->
                <div class="row">
                    <!-- NEW WIDGET START -->

                    <article class="col-xs-12 col-sm-12 col-md-12 col-lg-12">

                        <!-- Widget ID (each widget will need unique ID)-->

                        <div class="jarviswidget jarviswidget-color-darken" id="user_types" data-widget-editbutton="false">
                            <header>
                                <span class="widget-icon"> <i class="fa fa-table"></i> </span>
                                <h2>{{ __('logs.email_form_title') }}</h2>
                            </header>
                            <!-- widget div-->
                            <div>
                                <!-- widget edit box -->
                                <div class="jarviswidget-editbox">
                                    <!-- This area used as dropdown edit box -->
                                </div>
                                <!-- end widget edit box -->
                                <!-- widget content -->
                                <div class="widget-body no-padding table-responsive">
                                    <table class="table table-bordered data-table" width="100%">
                                        <thead>
                                            <tr>
                                                <th>{{ __('logs.id') }}</th>
                                                <th>{{ __('logs.name') }}</th>
                                                <th>{{ __('logs.email') }}</th>
                                                <th>{{ __('logs.subject') }}</th>
                                                <th>{{ __('logs.body') }}</th>
                                                <th>{{ __('logs.url') }}</th>
                                                <th>{{ __('logs.method') }}</th>
                                                <th>{{ __('logs.ip') }}</th>
                                                <th>{{ __('logs.user_id') }}</th>
                                                <th>{{ __('logs.date') }}</th>
                                                <th>{{ __('logs.time') }}</th>
                                                {{--<th width="100px">{{ __('logs.delete') }}</th>--}}
                                            </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>

                                </div>
                                <!-- end widget content -->
                            </div>
                            <!-- end widget div -->
                        </div>
                        <!-- end widget -->
                    </article>
                    <!-- WIDGET END -->
                </div>
                <!-- end row -->
                <!-- end row -->
            </section>
        </div>
    </div>
    <x-slot name="script">
        <script src="{{ asset('public/back/js/plugin/datatables/jquery.dataTables.min.js') }}"></script>
        <script src="{{ asset('public/back/js/plugin/datatables/dataTables.colVis.min.js') }}"></script>
        <script src="{{ asset('public/back/js/plugin/datatables/dataTables.tableTools.min.js') }}"></script>
        <script src="{{ asset('public/back/js/plugin/datatables/dataTables.bootstrap.min.js') }}"></script>
        <script src="{{ asset('public/back/js/plugin/datatable-responsive/datatables.responsive.min.js') }}"></script>
        <script type="text/javascript">
            $(function() {

                var table = $('.data-table').DataTable({
                    processing: true,
                    serverSide: true,
                    autoWidth: false,
                    ajax: "{{ route('email-log-list') }}",
                    order: [ 0, 'desc' ],
                    columns: [{
                            data: 'DT_RowIndex',
                            name: 'id'
                        },
                        {
                            data: 'name',
                            name: 'name'
                        },
                        {
                            data: 'email',
                            name: 'email'
                        },
                        {
                            data: 'subject',
                            name: 'subject'
                        },
                        {
                            data: 'body',
                            name: 'body'
                        },
                        {
                            data: 'url',
                            name: 'url'
                        },
                        {
                            data: 'method',
                            name: 'method'
                        },
                        {
                            data: 'ip',
                            name: 'ip'
                        },
                        {
                            data: 'username',
                            name: 'username'
                        },
                        {
                            data: 'created_at',
                            name: 'created_at'
                        },
                        {
                            data: 'time',
                            name: 'time'
                        },
                        // {
                        //     data: 'blocklog',
                        //     name: 'blocklog',
                        //     orderable: false,
                        //     searchable: false
                        // },
                    ]
                });

            });
        </script>
    </x-slot>
</x-app-layout>
