@section('title', 'Create Maintenance')
<x-app-layout>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
    <x-slot name="header">
        <style>
            .select2-selection__rendered {
                padding-left: 5px !important;
            }
            .note-editable {
                min-height: 200px !important;
            }
        </style>
    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon">
        </div>
        <!-- END RIBBON -->
        <div id="content">
            <div class="row">
                <div class="col-lg-12">
                    <br>
                </div>
            </div>
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget" id="wid-id-1" data-widget-colorbutton="false" data-widget-editbutton="false" data-widget-custombutton="false" role="widget">
                <header>
                    <h2>Create Maintenance</h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <form action="{{ route('save-maintenance') }}" enctype="multipart/form-data" method="post" id="maintenance-create-form" class="smart-form">
                            @csrf
                            <fieldset>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Customer <span style=" color: red;">*</span></label>
                                        <select name="customer_id" id="customer_id" class="select2" required>
                                            <option value="">Select the customer</option>
                                            @foreach($customers as $customer)
                                            <option value="{{ $customer->id }}">{{ $customer->customer_name }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </section>
                                    <section class="col col-2">
                                        <div class="inline-group ">
                                            <label class="radio">
                                                <input type="radio" value="1" name="project_type" checked>
                                                <i></i>New</label>
                                            <label class="radio">
                                                <input type="radio" value="2" name="project_type">
                                                <i></i>Existing</label>
                                        </div>
                                    </section>
                                    <section class="col col-4" id="newprojectName">
                                        <label class="label">New Project Name <span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="project_name" name="project_name" value="" required>
                                        </label>
                                    </section>
                                    <section class="col col-4" id="projectlist" style="display: none">
                                        <label class="label">Projects List <span style=" color: red;">*</span></label>
                                        <select name="project_id" id="project_id" class="select2">
                                            <option value="">Select the project</option>
                                            @foreach($projects as $project)
                                            <option value="{{ $project->id }}">{{ $project->project_name }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Maintenance Details</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Maintenance Type <span style=" color: red;">*</span></label>
                                        <select name="maintenance_type_id" id="maintenance_type_id" class="select2">
                                            <option value="">Select the maintenance type</option>
                                            @foreach($maintenanceTypes as $type)
                                            <option value="{{ $type->id }}">{{ $type->type }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </section>
                                    <section class="col col-3">
                                        <label class="label">Start Date <span style=" color: red;">*</span></label>
                                        <label class="input"><i class="icon-append fa fa-calendar"></i>
                                            <input type="text" id="start_date" name="start_date" value="" class="datepicker" data-date-format='yyyy-mm-dd' placeholder="YYYY-MM-DD" data-parsley-type="date" autocomplete="off" required>
                                        </label>
                                    </section>
                                    <section class="col col-3">
                                        <label class="label">End Date <span style=" color: red;">*</span></label>
                                        <label class="input"><i class="icon-append fa fa-calendar"></i>
                                            <input type="text" id="end_date" name="end_date" value="" class="datepicker" data-date-format='yyyy-mm-dd' placeholder="YYYY-MM-DD" data-parsley-type="date" autocomplete="off" required>
                                        </label>
                                    </section>
                                </div>
                                {{-- <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Maintenance Reminder Send To</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-lg-12">
                                        <label class="label">Select Emails</label>
                                        @foreach ($contactPersons as $person)
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input type="checkbox" name="reminder_send_to[]"  value="{{ $person->id }}"> <i></i> {{ $person->contact_person_name.' - '.$person->contact_person_email }}
                                            </label>
                                        </div>
                                        @endforeach
                                    </section>
                                </div> --}}
                            </fieldset>
                            <footer>
                                <button id="button1id" name="button1id" type="submit" class="btn btn-primary">
                                    Submit
                                </button>
                                <button type="button" class="btn btn-default" onclick="window.history.back();">
                                    Back
                                </button>
                            </footer>
                        </form>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
        </div>
    </div>
    <x-slot name="script">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/js/bootstrap-datepicker.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>
        <script>
            $(function(){
                //window.ParsleyValidator.setLocale('ta');
                $('#maintenance-create-form').parsley();
            });
        </script>

        <script>
            setTimeout(function() {
                $('.alert').fadeOut('fast');
            }, 5000);

            $(document).ready(function () {
                // var currentDate = new Date();
                $('#start_date').datepicker({
                    format: 'yyyy-mm-dd',
                    prevText : '<i class="fa fa-chevron-left"></i>',
                    nextText : '<i class="fa fa-chevron-right"></i>',
                    autoclose:true,
                    // endDate: "currentDate",
                    // maxDate: currentDate
                }).on('changeDate', function (ev) {
                    $(this).datepicker('hide');
                });
                $('#start_date').keyup(function () {
                    if (this.value.match(/[^0-9]/g)) {
                        this.value = this.value.replace(/[^0-9^-]/g, '');
                    }
                });


                $('#end_date').datepicker({
                    format: 'yyyy-mm-dd',
                    prevText : '<i class="fa fa-chevron-left"></i>',
                    nextText : '<i class="fa fa-chevron-right"></i>',
                    autoclose:true,
                    // endDate: "currentDate",
                    // maxDate: currentDate
                }).on('changeDate', function (ev) {
                    $(this).datepicker('hide');
                });
                $('#end_date').keyup(function () {
                    if (this.value.match(/[^0-9]/g)) {
                        this.value = this.value.replace(/[^0-9^-]/g, '');
                    }
                });
            });

            $(document).ready(function () {

                $("input[name='project_type']").change(function() {
                    projectstatus = $(this).val();

                    if(projectstatus == 1) {
                        $('#projectlist').hide();
                        $('#newprojectName').show();
                        $('#project_name').attr("required", true);
                        $('#project_id').attr("required", false);
                    } else if(projectstatus == 2) {
                        $('#newprojectName').hide();
                        $('#projectlist').show();
                        $('#project_name').attr("required", false);
                        $('#project_id').attr("required", true);
                    }

                });


            });

            $('#customer_id').on('change', function() {

                var customerId = $('#customer_id').val();

                if(customerId) {
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: "{{ route('get-projects') }}",
                        data: { customer_id:customerId },
                        success: function(res) {

                            if (res) {
                                // console.log(res);
                                $("#project_id").empty();
                                $("#project_id").append('<option value="">Select a project</option>');
                                $.each(res, function(key, value) {

                                    $("#project_id").append('<option value="' + value['id'] + '">' + value['project_name'] + '</option>');

                                });

                            } else {

                                $("#project_id").empty();
                            }
                        }
                    });
                }
            });

        </script>

        <script>
            $(".select2").select2();
        </script>

    </x-slot>
</x-app-layout>
