@section('title', 'Maintenance View')
<x-app-layout>
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
    <x-slot name="header">
        <style>
            .select2-selection__rendered {
                padding-left: 5px !important;
            }
            .note-editable {
                min-height: 200px !important;
            }
        </style>
    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon">
        </div>
        <!-- END RIBBON -->
        <div id="content">
            <div class="row">
                <div class="col-lg-12">
                    <br>
                </div>
            </div>
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget" id="wid-id-1" data-widget-colorbutton="false" data-widget-editbutton="false" data-widget-custombutton="false" role="widget">
                <header>
                    <h2>View Maintenance</h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <div class="smart-form">
                            @csrf
                            @method('PUT')
                            <fieldset>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Customer</label>
                                        <select name="customer_id" id="customer_id" class="select2" disabled>
                                            <option value="">Select the customer</option>
                                            @foreach($customers as $customer)
                                            <option value="{{ $customer->id }}" {{ $customer->id == $data->customer_id ? 'selected' : '' }}>{{ $customer->customer_name }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">New Project Name </label>
                                        <label class="input">
                                            <input type="text" id="project_name" name="project_name" value="{{ $data->projects->project_name }}" disabled>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Maintenance Details</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Maintenance Type </label>
                                        <label class="input">
                                            <input type="text" id="maintenance_type_id" name="maintenance_type_id" value="{{ $data->maintenanceTypes->type }}" disabled>
                                        </label>
                                    </section>
                                    <section class="col col-3">
                                        <label class="label">Start Date</label>
                                        <label class="input"><i class="icon-append fa fa-calendar"></i>
                                            <input type="text" id="start_date" name="start_date" value="{{ $data->start_date }}" class="datepicker" data-date-format='yyyy-mm-dd' placeholder="YYYY-MM-DD" data-parsley-type="date" autocomplete="off" disabled>
                                        </label>
                                    </section>
                                    <section class="col col-3">
                                        <label class="label">End Date</label>
                                        <label class="input"><i class="icon-append fa fa-calendar"></i>
                                            <input type="text" id="end_date" name="end_date" value="{{ $data->end_date }}" class="datepicker" data-date-format='yyyy-mm-dd' placeholder="YYYY-MM-DD" data-parsley-type="date" autocomplete="off" disabled>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Update Maintenance Status</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Maintenance Status</label>
                                        <select name="renewal_status" id="renewal_status" class="select2" disabled>
                                            <option value="">Select the maintenance status</option>
                                            <option value="C" {{ $data->renewal_status == 'C' ? 'selected' : '' }}>Cancel</option>
                                            <option value="D" {{ $data->renewal_status == 'D' ? 'selected' : '' }}>Done</option>
                                        </select>
                                        <i></i>
                                    </section>
                                    <section class="col col-3">
                                        <label class="label">Status Updated Date</label>
                                        <label class="input"><i class="icon-append fa fa-calendar"></i>
                                            <input type="text" id="status_updated_date" name="status_updated_date" value="{{ $data->renewal_status_update_date }}" class="datepicker" data-date-format='yyyy-mm-dd' placeholder="YYYY-MM-DD" data-parsley-type="date" autocomplete="off" disabled>
                                        </label>
                                    </section>
                                </div>
                            </fieldset>
                            <footer>
                            </footer>
                        </div>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
        </div>
    </div>
    <x-slot name="script">
    </x-slot>
</x-app-layout>
