@section('title', 'Email Settings')
<x-app-layout>
    <x-slot name="header">

    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon">
        </div>
        <!-- END RIBBON -->
        <div id="content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row cms_top_btn_row" style="margin-left:auto;margin-right:auto;">
                        <a href="{{ route('create-email-settings') }}">
                            <button class="btn cms_top_btn top_btn_height ">Add New</button>
                        </a>

                        <a href="{{ route('email-settings-list') }}">
                            <button class="btn cms_top_btn top_btn_height">View All</button>
                        </a>
                    </div>
                </div>
            </div>
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget" id="wid-id-1" data-widget-colorbutton="false" data-widget-editbutton="false" data-widget-custombutton="false" role="widget">
                <header>
                    <h2>Email Settings</h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <form action="{{ route('update-email-settings') }}" enctype="multipart/form-data" method="post" id="email-settings-form" class="smart-form">
                        @csrf
                        @method('PUT')
                            <fieldset>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Module<span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="setting" name="setting" required value="{{ $data->moduleTypes->type }}" disabled>
                                        </label>
                                    </section>
                                    <input type="hidden" name="setting_type" value="{{ $data->setting_type }}">
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Send To (Select Emails)</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-lg-12">
                                        <label class="label">Select Emails</label>
                                        @foreach ($contactPersons as $person)
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input type="checkbox" name="contact_person_id[]"  value="{{ $person->id }}" @foreach ($selectedContactPersons as $selectedperson)
                                                {{ $selectedperson->contact_person_id == $person->id ? "checked" : "" }}
                                                @endforeach> <i></i> {{ $person->contact_person_name.' - '.$person->contact_person_email }}
                                            </label>
                                        </div>
                                        @endforeach
                                    </section>
                                </div>
                            </fieldset>
                            <footer>
                                <input type="hidden" name="id" value="{{ $data->id }}>">
                                <button id="button1id" name="button1id" type="submit" class="btn btn-primary">
                                    Submit
                                </button>
                                <button type="button" class="btn btn-default" onclick="window.history.back();">
                                    Back
                                </button>
                            </footer>
                        </form>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
        </div>
    </div>
    <x-slot name="script">
        <script>
            $(function(){
                $('#email-settings-form').parsley();
            });
        </script>
    </x-slot>
</x-app-layout>
