@section('title', 'Email Settings')
<x-app-layout>
    <x-slot name="header">

    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon">
        </div>
        <!-- END RIBBON -->
        <div id="content">
            <div class="row">
            <div class="col-lg-12">
                    <div class="row cms_top_btn_row" style="margin-left:auto;margin-right:auto;">
                        <a href="{{ route('create-email-settings') }}">
                            <button class="btn cms_top_btn top_btn_height cms_top_btn_active">Add New</button>
                        </a>

                        <a href="{{ route('email-settings-list') }}">
                            <button class="btn cms_top_btn top_btn_height ">View All</button>
                        </a>
                    </div>
                </div>
            </div>
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget" id="wid-id-1" data-widget-colorbutton="false" data-widget-editbutton="false" data-widget-custombutton="false" role="widget">
                <header>
                    <h2>Email Settings</h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <form action="{{ route('save-email-settings') }}" enctype="multipart/form-data" method="post" id="email-settings-form" class="smart-form">
                            @csrf
                            <fieldset>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Modules <span style=" color: red;">*</span></label>
                                        <select name="setting_type" id="setting_type" class="select2">
                                            <option value="">Select the module</option>
                                            @foreach($emailSettingTypes as $type)
                                            <option value="{{ $type->id }}">{{ $type->type }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                        <p id="existingmsg" style="color: #e7026e; display:none">*Data for this type is already available.</p>
                                    </section>
                                </div>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Send To (Select Emails)</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-lg-12">
                                        <label class="label">Select Emails</label>
                                        @foreach ($contactPersons as $person)
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input type="checkbox" name="contact_person_id[]"  value="{{ $person->id }}"> <i></i> {{ $person->contact_person_name.' - '.$person->contact_person_email }}
                                            </label>
                                        </div>
                                        @endforeach
                                    </section>
                                </div>
                            </fieldset>
                            <footer>
                                <button id="button1id" name="button1id" type="submit" class="btn btn-primary">
                                    Submit
                                </button>
                                <button type="button" class="btn btn-default" onclick="window.history.back();">
                                    Back
                                </button>
                            </footer>
                        </form>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
        </div>
    </div>
    <x-slot name="script">
        <script>
            $(function(){
                //window.ParsleyValidator.setLocale('ta');
                $('#email-settings-form').parsley();
                $('#setting_type').trigger('change');
            });
        </script>

        <script>
            setTimeout(function() {
                $('.alert').fadeOut('fast');
            }, 5000);


            $('#setting_type').on('change', function() {

                $('#existingmsg').hide();
                var type = $(this).val();

                if (type) {

                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: "{{ route('check-existting-types') }}",
                        data: {
                            setting_type:type,
                        },
                        success: function(res) {

                            if (res == 1) {

                                $('#existingmsg').show();
                                $('#button1id').prop('disabled', true);

                            } else {
                                $('#existingmsg').hide();
                                $('#button1id').prop('disabled', false);
                            }
                        }
                    });
                }
            });
        </script>
    </x-slot>
</x-app-layout>
