@section('title', 'Create Quotation')
<x-app-layout>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
    <x-slot name="header">
        <style>
            .select2-selection__rendered {
                padding-left: 5px !important;
            }
            .note-editable {
                min-height: 200px !important;
            }
        </style>
    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon">
        </div>
        <!-- END RIBBON -->
        <div id="content">
            <div class="row">
                <div class="col-lg-12">
                    <br>
                </div>
            </div>
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget" id="wid-id-1" data-widget-colorbutton="false" data-widget-editbutton="false" data-widget-custombutton="false" role="widget">
                <header>
                    <h2>Create Quotation</h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <form action="{{ route('save-quotation') }}" enctype="multipart/form-data" method="post" id="quotation-create-form" class="smart-form">
                            @csrf
                            <fieldset>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Quotation Date <span style=" color: red;">*</span></label>
                                        <label class="input"><i class="icon-append fa fa-calendar"></i>
                                            <input type="text" id="quotation_date" name="quotation_date" value="" class="datepicker" data-date-format='yyyy-mm-dd' placeholder="YYYY-MM-DD" data-parsley-type="date" autocomplete="off" required>
                                        </label>
                                    </section>
                                    <section class="col col-6">
                                        <label class="label">Quotation Type <span style=" color: red;">*</span></label>
                                        <label class="select">
                                            <select name="quotation_type" id="quotation_type">
                                                <option value="NP">New Quotation</option>
                                                <option value="MT">Maintenance</option>
                                                <option value="CR">Change Request</option>
                                                <option value="CW">Content Rewriting / Copywriting</option>
                                            </select>
                                            <i></i>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Customer Details</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Customer <span style=" color: red;">*</span></label>
                                        <select name="customer_id" id="customer_id" class="select2" required>
                                            <option value="">Select the customer</option>
                                            @foreach($customers as $customer)
                                            <option value="{{ $customer->id }}">{{ $customer->customer_name }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </section>
                                    <section class="col col-6">
                                        <label class="label">Contact Person <span style=" color: red;">*</span></label>
                                        <select name="customer_contact_person_id" id="customer_contact_person_id" class="select2" required>
                                            <option value="">Select the contact person</option>
                                        </select>
                                        <i></i>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Project Details</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <div class="inline-group ">
                                            <label class="radio">
                                                <input type="radio" value="1" name="project_type" checked>
                                                <i></i>New</label>
                                            <label class="radio">
                                                <input type="radio" value="2" name="project_type">
                                                <i></i>Existing</label>
                                        </div>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6" id="newprojectName">
                                        <label class="label">New Project Name <span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="project_name" name="project_name" value="" required>
                                        </label>
                                    </section>
                                    <section class="col col-6" id="projectlist" style="display: none">
                                        <label class="label">Projects List <span style=" color: red;">*</span></label>
                                        <select name="project_id" id="project_id" class="select2">
                                            <option value="">Select the project</option>
                                            @foreach($projects as $project)
                                            <option value="{{ $project->id }}">{{ $project->project_name }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </section>
                                    <section class="col col-6">
                                        <label class="label">Quotation Title <span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="quotation_title" name="quotation_title" value="" required>
                                        </label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Quotation Description <span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <textarea class="form-control" id="quotation_description" name="quotation_description" rows="3" required></textarea>
                                        </label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-lg-6">
                                        <label class="label">Estimate Time for <span style="color: #FF0000;">*</span></label>
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="time_est_category[]"  value="1" required> <i></i> Development
                                            </label>
                                        </div>
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="time_est_category[]"  value="2" required> <i></i> Modification
                                            </label>
                                        </div>
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="time_est_category[]"  value="3" required> <i></i> QA
                                            </label>
                                        </div>
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="time_est_category[]"  value="4" required> <i></i> Content Writing
                                            </label>
                                        </div>
                                    </section>
                                    <section class="col col-6">
                                        <label class="label">Estimated Time Period <span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <input type="text" id="est_time_period" name="est_time_period" value="" required>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <div class="row">
                                    <section class="col col-12"  style="width: 100%;">
                                        <label class="label">Scope Description <span style=" color: red;">*</span> </label>
                                        <label class="input">
                                            <textarea class="form-control summernote" id="scope_description" name="scope_description" rows="2" required></textarea>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Payment Details</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Project Cost <span style=" color: red;">*</span></label>
                                        <label class="input">
                                            <input type="text" id="project_cost" name="project_cost" value="" required>
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Special Discount % </label>
                                        <label class="input">
                                            <input type="text" id="discount" name="discount" value="">
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Total Cost <span style=" color: red;">*</span></label>
                                        <label class="input">
                                            <input type="text" id="total_cost" name="total_cost" value="" required>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Select the payment terms <span style="color: #FF0000;">*</span></label>
                                        @foreach ($paymentTerms as $payterm)
                                        <div class="col col-6">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="payment_terms[]" required  value="{{ $payterm->id }}"> <i></i> {{ $payterm->payment_term }}
                                            </label>
                                        </div>
                                        @endforeach
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Validity Period <span style=" color: red;">*</span></label>
                                        <select name="validity_period_id" id="validity_period_id" class="select2" required>
                                            <option value="">Select the validity period</option>
                                            @foreach($validityPeriods as $validperiod)
                                            <option value="{{ $validperiod->id }}">{{ $validperiod->validity_period }}</option>
                                            @endforeach
                                        </select>
                                        <i></i>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Contact Person Details (Tekgeeks)</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Contact Person <span style=" color: red;">*</span></label>
                                        <label class="select">
                                            <select name="contact_person_id" id="contact_person_id" required>
                                                <option value="">Select the contact person</option>
                                                @foreach($companyContactPersons as $contactperson)
                                                <option value="{{ $contactperson->id }}">{{ $contactperson->contact_person_name }}</option>
                                                @endforeach
                                            </select>
                                            <i></i>
                                        </label>
                                    </section>
                                </div>
                            </fieldset>
                            <footer>
                                <button id="button1id" name="button1id" type="submit" class="btn btn-primary">
                                    Submit
                                </button>
                                <button type="button" class="btn btn-default" onclick="window.history.back();">
                                    Back
                                </button>
                            </footer>
                        </form>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
        </div>
    </div>
    <x-slot name="script">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/js/bootstrap-datepicker.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>
        <script>
            $(function(){
                //window.ParsleyValidator.setLocale('ta');
                $('#quotation-create-form').parsley();
            });
        </script>

        <script>
            setTimeout(function() {
                $('.alert').fadeOut('fast');
            }, 5000);

            $(document).ready(function () {
                $(document).ready(function () {
                    var currentDate = new Date();
                    $('#quotation_date').datepicker({
                        format: 'yyyy-mm-dd',
                        prevText : '<i class="fa fa-chevron-left"></i>',
                        nextText : '<i class="fa fa-chevron-right"></i>',
                        autoclose:true,
                        endDate: "currentDate",
                        maxDate: currentDate
                    }).on('changeDate', function (ev) {
                        $(this).datepicker('hide');
                    });
                    $('#quotation_date').keyup(function () {
                        if (this.value.match(/[^0-9]/g)) {
                            this.value = this.value.replace(/[^0-9^-]/g, '');
                        }
                    });
                });

                $('.summernote').summernote({
                    height: 200,
                    toolbar: [
                        ['style', ['style']],
                        ['font', ['bold', 'italic', 'underline', 'clear', 'strikethrough']],
                        ['fontname', ['fontname']],
                        ['fontsize', ['fontsize']],
                        ['color', ['color']],
                        // ['para', ['ul', 'ol', 'paragraph']],
                        ['para', ['paragraph']],
                        ['height', ['height']],
                        // ['table', ['table']],
                        // ['insert', ['link', 'picture', 'hr']],
                        // ['view', ['fullscreen', 'codeview', 'help']]
                        ['view', ['codeview']]

                    ]
                });

                $("input[name='project_type']").change(function() {
                    projectstatus = $(this).val();

                    if(projectstatus == 1) {
                        $('#projectlist').hide();
                        $('#newprojectName').show();
                        $('#project_name').attr("required", true);
                        $('#project_id').attr("required", false);
                    } else if(projectstatus == 2) {
                        $('#newprojectName').hide();
                        $('#projectlist').show();
                        $('#project_name').attr("required", false);
                        $('#project_id').attr("required", true);
                    }

                });


            });

            $('#customer_id').on('change', function() {

                var customerId = $('#customer_id').val();

                if(customerId) {
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: "{{ route('get-projects') }}",
                        data: { customer_id:customerId },
                        success: function(res) {

                            if (res) {
                                // console.log(res);
                                $("#project_id").empty();
                                $("#project_id").append('<option value="">Select a project</option>');
                                $.each(res, function(key, value) {

                                    $("#project_id").append('<option value="' + value['id'] + '">' + value['project_name'] + '</option>');

                                });

                            } else {

                                $("#project_id").empty();
                            }
                        }
                    });

                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: "{{ route('get-customer-contact-persons') }}",
                        data: { customer_id:customerId },
                        success: function(res) {

                            if (res) {
                                // console.log(res);
                                $("#customer_contact_person_id").empty();
                                $("#customer_contact_person_id").append('<option value="">Select a contact person</option>');
                                $.each(res, function(key, value) {

                                    $("#customer_contact_person_id").append('<option value="' + value['id'] + '">' + value['contact_person_name'] + '</option>');

                                });

                            } else {

                                $("#customer_contact_person_id").empty();
                            }
                        }
                    });
                }
            });

            $('#discount').on('blur', function() {

                var discount = $('#discount').val();
                var costamount = $('#project_cost').val();

                if(discount) {
                    discountedVal = costamount * (discount / 100);

                    discountedAmount = costamount - discountedVal;

                    $totalCost = $('#total_cost').val(discountedAmount);
                } else {
                    $('#total_cost').val(costamount)
                }
            });
        </script>

        <script>
            $(".select2").select2();
        </script>

    </x-slot>
</x-app-layout>
