@section('title', 'Quotation View')
<x-app-layout>
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
    <x-slot name="header">
        <style>
            .select2-selection__rendered {
                padding-left: 5px !important;
            }
            .note-editable {
                min-height: 200px !important;
            }
        </style>
    </x-slot>

    <div id="main" role="main">
        <!-- RIBBON -->
        <div id="ribbon">
        </div>
        <!-- END RIBBON -->
        <div id="content">
            <div class="row">
                <div class="col-lg-12">
                    <br>
                </div>
            </div>
            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif
            @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
            @endif
            <!-- Widget ID (each widget will need unique ID)-->
            <div class="jarviswidget" id="wid-id-1" data-widget-colorbutton="false" data-widget-editbutton="false" data-widget-custombutton="false" role="widget">
                <header>
                    <h2>Quotation - {{ $data->quotation_id }}</h2>
                </header>
                <!-- widget div-->
                <div>
                    <!-- widget edit box -->
                    <div class="jarviswidget-editbox">
                        <!-- This area used as dropdown edit box -->
                    </div>
                    <!-- end widget edit box -->
                    <!-- widget content -->
                    <div class="widget-body no-padding">
                        <form action="" enctype="multipart/form-data" method="post" id="quotation-form" class="smart-form">
                            @csrf
                            <fieldset>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Quotation Date</label>
                                        <label class="input"><i class="icon-append fa fa-calendar"></i>
                                            <input type="text" id="quotation_date" name="quotation_date" value="{{ $data->quotation_date }}" class="datepicker" data-date-format='yyyy-mm-dd' placeholder="YYYY-MM-DD" data-parsley-type="date" disabled>
                                        </label>
                                    </section>
                                    @if($data->quotation_type == 'NP')
                                    @php
                                        $quotationtype = "New Quotation";
                                    @endphp
                                    @elseif($data->quotation_type == 'MT')
                                    @php
                                            $quotationtype = "Maintenance";
                                    @endphp
                                    @elseif($data->quotation_type == 'CR')
                                    @php
                                            $quotationtype = "Change Request";
                                    @endphp
                                    @elseif($data->quotation_type == 'CW')
                                    @php
                                            $quotationtype = "Content Rewriting / Copywriting";
                                    @endphp
                                    @endif
                                    <section class="col col-6">
                                        <label class="label">Quotation Type </label>
                                        <label class="input">
                                            <input type="text" id="quotation_type" name="quotation_type" value="{{ $quotationtype }}" disabled>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Customer Details</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Customer </label>
                                        <label class="input">
                                            <input type="text" id="customer_id" name="customer_id" value="{{ $data->customers->customer_name }}" disabled>
                                        </label>
                                    </section>
                                    <section class="col col-6">
                                        <label class="label">Contact Person </label>
                                        <label class="input">
                                            <input type="text" id="customer_contact_person_id" name="customer_contact_person_id" value="{{ $data->customercontactpersons->contact_person_name }}" disabled>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Project Details</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <div class="inline-group ">
                                            <label class="radio">
                                                <input type="radio" value="1" name="project_type" {{ $data->project_status == 1 ? "Checked" : "" }} @disabled(true)>
                                                <i></i>New</label>
                                            <label class="radio">
                                                <input type="radio" value="2" name="project_type" {{ $data->project_status == 2 ? "Checked" : "" }} @disabled(true)>
                                                <i></i>Existing</label>
                                        </div>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Project Name </label>
                                        <label class="input">
                                            <input type="text" id="project_name" name="project_name" value="{{ $data->projects->project_name }}" disabled>
                                        </label>
                                    </section>
                                    <section class="col col-6">
                                        <label class="label">Quotation Title </label>
                                        <label class="input">
                                            <input type="text" id="quotation_title" name="quotation_title" value="{{ $data->quotation_title }}" disabled>
                                        </label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-6">
                                        <label class="label">Quotation Description </label>
                                        <label class="input">
                                            <textarea class="form-control" id="quotation_description" name="quotation_description" rows="3" disabled>{{ $data->quotation_description }}</textarea>
                                        </label>
                                    </section>
                                </div>
                                <div class="row">
                                    @php
                                            $savedCategories = explode(',', $data->time_est_category);
                                    @endphp
                                    <section class="col col-lg-6">
                                        <label class="label">Estimate Time for <span style="color: #FF0000;">*</span></label>
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="time_est_category[]"  value="1" {{ in_array('1', $savedCategories) ? 'checked' : '' }} disabled> <i></i> Development
                                            </label>
                                        </div>
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="time_est_category[]"  value="2" {{ in_array('2', $savedCategories) ? 'checked' : '' }} disabled> <i></i> Modification
                                            </label>
                                        </div>
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="time_est_category[]"  value="3" {{ in_array('3', $savedCategories) ? 'checked' : '' }} disabled> <i></i> QA
                                            </label>
                                        </div>
                                        <div class="col col-4">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="time_est_category[]"  value="4" {{ in_array('4', $savedCategories) ? 'checked' : '' }} disabled> <i></i> Content Writing
                                            </label>
                                        </div>
                                    </section>
                                    <section class="col col-6">
                                        <label class="label">Estimated Time Period </label>
                                        <label class="input">
                                            <input type="text" id="est_time_period" name="est_time_period" value="{{ $data->est_time_period }}" disabled>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <div class="row">
                                    <section class="col col-12"  style="width: 100%;">
                                        <label class="label">Scope Description </label>
                                        <label class="input">
                                            <textarea class="form-control summernote" id="scope_description" name="scope_description" rows="2" disabled>{{ $data->scope_description }}</textarea>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Payment Details</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Project Cost</label>
                                        <label class="input">
                                            <input type="text" id="project_cost" name="project_cost" value="{{ $data->project_cost }}" disabled>
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Special Discount % </label>
                                        <label class="input">
                                            <input type="text" id="discount" name="discount" value="{{ $data->discount }}" disabled>
                                        </label>
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Total Cost</label>
                                        <label class="input">
                                            <input type="text" id="total_cost" name="total_cost" value="{{ $data->total_cost }}" disabled>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <div class="row">
                                    @php
                                    $paymentterms = explode(',', $data->payment_terms);
                                    @endphp
                                    <section class="col col-4">
                                        <label class="label">Select the payment terms <span style="color: #FF0000;">*</span></label>
                                        @foreach ($paymentTerms as $payterm)
                                        <div class="col col-6">
                                            <label class="checkbox">
                                                <input class="complaintCat" type="checkbox" name="payment_terms[]"  value="{{ $payterm->id }}" {{ in_array($payterm->id, $paymentterms) ? 'checked' : '' }} @disabled(true)> <i></i> {{ $payterm->payment_term }}
                                            </label>
                                        </div>
                                        @endforeach
                                    </section>
                                    <section class="col col-4">
                                        <label class="label">Validity Period</label>
                                        <label class="input">
                                            <input type="text" id="validity_period_id" name="validity_period_id" value="{{ $data->validityperiods->validity_period }}" disabled>
                                        </label>
                                    </section>
                                </div>
                                <br>
                                <hr>
                                <br>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label"><b>Contact Person Details (Tekgeeks)</b></label>
                                    </section>
                                </div>
                                <div class="row">
                                    <section class="col col-4">
                                        <label class="label">Contact Person</label>
                                        <label class="input">
                                            <input type="text" id="contact_person_id" name="contact_person_id" value="{{ $data->contactpersondetails->contact_person_name }}" disabled>
                                        </label>
                                    </section>
                                </div>
                            </fieldset>
                            <footer>
                                <input type="hidden" name="id" value="{{ $data->id }}">
                                <button type="button" class="btn btn-default" onclick="window.history.back();">
                                    Back
                                </button>
                            </footer>
                        </form>
                    </div>
                    <!-- end widget content -->
                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
        </div>
    </div>
    <x-slot name="script">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/js/bootstrap-datepicker.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>
        <script>
            $(function(){
                $('#quotation-form').parsley();
            });

            $(document).ready(function () {
                var currentDate = new Date();
                $('#quotation_date').datepicker({
                    format: 'yyyy-mm-dd',
                    prevText : '<i class="fa fa-chevron-left"></i>',
                    nextText : '<i class="fa fa-chevron-right"></i>',
                    autoclose:true,
                    endDate: "currentDate",
                    maxDate: currentDate
                }).on('changeDate', function (ev) {
                    $(this).datepicker('hide');
                });
                $('#quotation_date').keyup(function () {
                    if (this.value.match(/[^0-9]/g)) {
                        this.value = this.value.replace(/[^0-9^-]/g, '');
                    }
                });
            });

            $(document).ready(function () {

                $('.summernote').summernote({
                    height: 200,
                    toolbar: [
                        ['style', ['style']],
                        ['font', ['bold', 'italic', 'underline', 'clear', 'strikethrough']],
                        ['fontname', ['fontname']],
                        ['fontsize', ['fontsize']],
                        ['color', ['color']],
                        // ['para', ['ul', 'ol', 'paragraph']],
                        ['para', ['paragraph']],
                        ['height', ['height']],
                        // ['table', ['table']],
                        // ['insert', ['link', 'picture', 'hr']],
                        // ['view', ['fullscreen', 'codeview', 'help']]
                        ['view', ['codeview']]

                    ]
                });

            });

            $('#discount').on('blur', function() {

                var discount = $('#discount').val();
                var costamount = $('#project_cost').val();

                if(discount) {
                    discountedVal = costamount * (discount / 100);

                    discountedAmount = costamount - discountedVal;

                    $totalCost = $('#total_cost').val(discountedAmount);
                } else {
                    $('#total_cost').val(costamount)
                }
            });

        </script>
    </x-slot>
</x-app-layout>
